Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.core.config.score.definition
Enum ScoreDefinitionType

    java.lang.Object
      java.lang.Enum<ScoreDefinitionType>
          org.optaplanner.core.config.score.definition.ScoreDefinitionType

All Implemented Interfaces:
  Serializable, Comparable<ScoreDefinitionType>

    public enum ScoreDefinitionType

extends Enum<ScoreDefinitionType>

Enum Constant Summary
`BENDABLE`
`BENDABLE_BIG_DECIMAL`
`HARD_MEDIUM_SOFT`
`HARD_MEDIUM_SOFT_LONG`
`HARD_SOFT`
`HARD_SOFT_BIG_DECIMAL`
`HARD_SOFT_DOUBLE` WARNING: NOT RECOMMENDED TO USE DUE TO ROUNDING ERRORS THAT CAUSE SCORE CORRUPTION.
`HARD_SOFT_LONG`
`SIMPLE`
`SIMPLE_BIG_DECIMAL`
`SIMPLE_DOUBLE` WARNING: NOT RECOMMENDED TO USE DUE TO ROUNDING ERRORS THAT CAUSE SCORE CORRUPTION.
`SIMPLE_LONG`

Method Summary
`static ScoreDefinitionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ScoreDefinitionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SIMPLE

    public static final ScoreDefinitionType SIMPLE

### SIMPLE_LONG

    public static final ScoreDefinitionType SIMPLE_LONG

### SIMPLE_DOUBLE

    public static final ScoreDefinitionType SIMPLE_DOUBLE

  WARNING: NOT RECOMMENDED TO USE DUE TO ROUNDING ERRORS THAT CAUSE SCORE CORRUPTION. Use `SIMPLE_BIG_DECIMAL` instead.

### SIMPLE_BIG_DECIMAL

    public static final ScoreDefinitionType SIMPLE_BIG_DECIMAL

### HARD_SOFT

    public static final ScoreDefinitionType HARD_SOFT

### HARD_SOFT_LONG

    public static final ScoreDefinitionType HARD_SOFT_LONG

### HARD_SOFT_DOUBLE

    public static final ScoreDefinitionType HARD_SOFT_DOUBLE

  WARNING: NOT RECOMMENDED TO USE DUE TO ROUNDING ERRORS THAT CAUSE SCORE CORRUPTION. Use `HARD_SOFT_BIG_DECIMAL` instead.

### HARD_SOFT_BIG_DECIMAL

    public static final ScoreDefinitionType HARD_SOFT_BIG_DECIMAL

### HARD_MEDIUM_SOFT

    public static final ScoreDefinitionType HARD_MEDIUM_SOFT

### HARD_MEDIUM_SOFT_LONG

    public static final ScoreDefinitionType HARD_MEDIUM_SOFT_LONG

### BENDABLE

    public static final ScoreDefinitionType BENDABLE

### BENDABLE_BIG_DECIMAL

    public static final ScoreDefinitionType BENDABLE_BIG_DECIMAL

Method Detail

### values

    public static ScoreDefinitionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ScoreDefinitionType c : ScoreDefinitionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ScoreDefinitionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.